package ru.crystals.pos.api.ext.loyal.dto;


/**
 * Перечисление возможных представлений содержимого {@link SlipParagraph "абзацев"} на чековой ленте.
 *
 * @author aperevozchikov
 */
public enum SlipParagraphType {

    /**
     * сообщение абзаца будет распечатано как текст
     */
    TEXT,

    /**
     * сообщение абзаца будет распечатано как ШК (Штрих-код) в кодировке <a href="https://en.wikipedia.org/wiki/Code_39">Code39</a>.
     */
    BARCODE;
}
