package ru.crystals.pos.spi.actions;

import ru.crystals.pos.spi.Action;
import ru.crystals.pos.spi.plugin.card.CardSearchRequest;

/**
 * Добавление карты в чек
 * */
public class AddCardAction implements Action {
    /**
     * Запрос на поиск карты, которую следует добавить к чеку
     * */
    private CardSearchRequest cardSearchRequest;

    public AddCardAction(CardSearchRequest request) {
        this.cardSearchRequest = request;
    }

    public CardSearchRequest getCardSearchRequest() {
        return cardSearchRequest;
    }

    public void setCardSearchRequest(CardSearchRequest cardSearchRequest) {
        this.cardSearchRequest = cardSearchRequest;
    }

    @Override
    public String toString() {
        return "AddCardAction{" +
                "cardSearchRequest=" + cardSearchRequest +
                '}';
    }
}
