package ru.crystals.pos.spi.receipt;

/**
 * Перечисление типов карт
 *
 */
public enum CardType {
    /**
     * Внутренняя (дисконтная) карта: карта, заведенная в системе SET10
     */
    INTERNAL,

    /**
     * Внешняя карта: дисконтная карта внешней [по отношению к SET10] системы лояльности
     */
    EXTERNAL,

    /**
     * Подарочная карта
     */
    GIFT,

    /**
     * Бонусная карта
     */
    BONUS,

    /**
     * Купон
     */
    COUPON;
}
